Bumping to 4.5.3
authorBjarke Istrup Pedersen <gurligebis@gentoo.org>
Wed, 3 Aug 2011 09:55:40 +0000 (09:55 +0000)
committerBjarke Istrup Pedersen <gurligebis@gentoo.org>
Wed, 3 Aug 2011 09:55:40 +0000 (09:55 +0000)
Package-Manager: portage-2.2.0_alpha46/cvs/Linux i686

net-misc/strongswan/ChangeLog
net-misc/strongswan/Manifest
net-misc/strongswan/strongswan-4.5.2.ebuild [deleted file]
net-misc/strongswan/strongswan-4.5.3.ebuild [moved from net-misc/strongswan/strongswan-4.5.1.ebuild with 99% similarity]

index c023e9884adcd439abe1d1e0f2d4ecfc2ded92e7..e058291fd76bdc3f0144fae0296121553b2c24aa 100644 (file)
@@ -1,6 +1,12 @@
 # ChangeLog for net-misc/strongswan
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/ChangeLog,v 1.88 2011/05/19 08:14:20 gurligebis Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/ChangeLog,v 1.89 2011/08/03 09:55:40 gurligebis Exp $
+
+*strongswan-4.5.3 (03 Aug 2011)
+
+  03 Aug 2011; <gurligebis@gentoo.org> -strongswan-4.5.1.ebuild,
+  -strongswan-4.5.2.ebuild, +strongswan-4.5.3.ebuild:
+  Bumping to 4.5.3 and removing old versions.
 
 *strongswan-4.5.2 (19 May 2011)
 
index 6661986c9fe695196a7747a876326c6b022b8c0d..87f39e82c3abd818b904c72de1e8842a8ebbfeef 100644 (file)
@@ -1,7 +1,15 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
 AUX ipsec 445 RMD160 9240cf2699984634fae9b0f45c813742fd05e047 SHA1 efcc1bedfbeae8a5b85f85e4926472edbca37be0 SHA256 5ba492de6d612d7def1cb7ceacadf8397e50f8433b91c4f2f09bf216eed34da6
-DIST strongswan-4.5.1.tar.bz2 3254264 RMD160 b9246d780e8762f67a3a7dc853e4a49798cd3671 SHA1 c25a57f6d87611436fa13fa2ef704133d0b0e0a9 SHA256 252d7369d94aa2d79e6fad078853b07ca897ea811ab1e1a2b008bcec0d1e758a
-DIST strongswan-4.5.2.tar.bz2 3271219 RMD160 f0263dd0106baf5bc9dd417cf2c78c5046a9a5c4 SHA1 11e8378681c9b6510a530015bddf55c1156f27ee SHA256 f13b5db946393dacc8590db7397b3ddd56eb37619f93a482a9c6cf9d556e105a
-EBUILD strongswan-4.5.1.ebuild 8799 RMD160 265c9d1b0819ede184b6859b84e93ddd43adf4cc SHA1 e81df0291fa8f33e8867eeec9d2b614ee2e76d6a SHA256 3419ba56efbedd41db7f2b664270b75b4393d2753f43bce8b17d5c3b6651c463
-EBUILD strongswan-4.5.2.ebuild 8799 RMD160 d059088a79c891c0b3e34abdfcbd0980851f7a03 SHA1 20fec02899afdd18402b7e16a4732266e0f968d6 SHA256 c519cb92de4a04adba25f3d5af2edb129f7a07a95fbaf1df298280d437a2ba41
-MISC ChangeLog 16819 RMD160 ff3526806df08fa1302b2ebb50c686683e8059dd SHA1 66be4c8dd38bc9d9beab3b7ad38b4e7d9847200e SHA256 9509e5a3119bcb24962777b2ca7a6dbe883f7c736cdc92961b3be660e6c57658
+DIST strongswan-4.5.3.tar.bz2 3299522 RMD160 7b80cecf39b11beb46f0109c0105ea4b995ddf20 SHA1 e8624162b09d1e24f443b2c91e6e0b1eb9dd6feb SHA256 a59fa0d9820fb06a3c848f4537b9256d2067265ad10e1b007b79f3b16279f1ff
+EBUILD strongswan-4.5.3.ebuild 8799 RMD160 38130a375e2281eb54ff2e244eb8125819afde55 SHA1 884a373131b33e21d030c6e6089246e05ef8ea71 SHA256 2b218fdac133d1392275c0c1e23e69954e7d5e2fb4e5c0a8aee01dc7e27eff34
+MISC ChangeLog 17018 RMD160 c961b8c23cbd23929eabf28913fffca181632885 SHA1 235414370d872d6e3efcb9d3b87b9aee676150f2 SHA256 3e664fd58e1cc01d80c6daa103baaa88bef040a81623ebe8f76ca7164cae1a42
 MISC metadata.xml 2853 RMD160 4f84c39f06749fa08bd32e02ac4321ea9bf39461 SHA1 79d1885bf440b1f59df9f79f3846b61f95688d5f SHA256 8210e2b8ba3a72960fc3526459730b9c0488592cd5b58cc33867a41348de0c3e
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.17 (GNU/Linux)
+
+iEYEARECAAYFAk45GvoACgkQsR7PQhRXYEnXoACfRFD4dDV/MyGymMzp3KfbAOcK
+/VIAoIMMtuDH3rZYmDaEPtSDlW5VmdFj
+=nIoz
+-----END PGP SIGNATURE-----
diff --git a/net-misc/strongswan/strongswan-4.5.2.ebuild b/net-misc/strongswan/strongswan-4.5.2.ebuild
deleted file mode 100644 (file)
index f188bbd..0000000
+++ /dev/null
@@ -1,272 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/strongswan-4.5.2.ebuild,v 1.1 2011/05/19 08:14:20 gurligebis Exp $
-
-EAPI=2
-inherit eutils linux-info
-
-DESCRIPTION="IPsec-based VPN solution focused on security and ease of use, supporting IKEv1/IKEv2 and MOBIKE"
-HOMEPAGE="http://www.strongswan.org/"
-SRC_URI="http://download.strongswan.org/${P}.tar.bz2"
-
-LICENSE="GPL-2 RSA-MD5 RSA-PKCS11 DES"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE="+caps cisco curl debug dhcp eap farp gcrypt ldap +ikev1 +ikev2 mysql nat-transport +non-root +openssl smartcard sqlite"
-
-COMMON_DEPEND="!net-misc/openswan
-       >=dev-libs/gmp-4.1.5
-       gcrypt? ( dev-libs/libgcrypt )
-       caps? ( sys-libs/libcap )
-       curl? ( net-misc/curl )
-       ldap? ( net-nds/openldap )
-       smartcard? ( dev-libs/opensc )
-       openssl? ( >=dev-libs/openssl-0.9.8[-bindist] )
-       mysql? ( virtual/mysql )
-       sqlite? ( >=dev-db/sqlite-3.3.1 )"
-DEPEND="${COMMON_DEPEND}
-       virtual/linux-sources
-       sys-kernel/linux-headers"
-RDEPEND="${COMMON_DEPEND}
-       virtual/logger
-       sys-apps/iproute2"
-
-UGID="ipsec"
-
-pkg_setup() {
-       linux-info_pkg_setup
-       elog "Linux kernel version: ${KV_FULL}"
-
-       if ! kernel_is -ge 2 6 16; then
-               eerror
-               eerror "This ebuild currently only supports ${PN} with the"
-               eerror "native Linux 2.6 IPsec stack on kernels >= 2.6.16."
-               eerror
-               die "Please install a recent 2.6 kernel."
-       fi
-
-       if use nat-transport; then
-               ewarn
-               ewarn "You have enabled NAT Traversal for transport mode with the IKEv1"
-               ewarn "protocol. Please double check if you really require this feature"
-               ewarn "as it is potentially insecure and usually only required in certain"
-               ewarn "situations when interoperating with Windows using L2TP/IPsec."
-               ewarn
-       fi
-
-       if kernel_is -lt 2 6 34; then
-               ewarn
-               ewarn "IMPORTANT KERNEL NOTES: Please read carefully..."
-               ewarn
-
-               if kernel_is -lt 2 6 29; then
-                       ewarn "[ < 2.6.29 ] Due to a missing kernel feature, you have to"
-                       ewarn "include all required IPv6 modules even if you just intend"
-                       ewarn "to run on IPv4 only."
-                       ewarn
-                       ewarn "This has been fixed with kernels >= 2.6.29."
-                       ewarn
-               fi
-
-               if kernel_is -lt 2 6 33; then
-                       ewarn "[ < 2.6.33 ] Kernels prior to 2.6.33 include a non-standards"
-                       ewarn "compliant implementation for SHA-2 HMAC support in ESP and"
-                       ewarn "miss SHA384 and SHA512 HMAC support altogether."
-                       ewarn
-                       ewarn "If you need any of those features, please use kernel >= 2.6.33."
-                       ewarn
-               fi
-
-               if kernel_is -lt 2 6 34; then
-                       ewarn "[ < 2.6.34 ] Support for the AES-GMAC authentification-only"
-                       ewarn "ESP cipher is only included in kernels >= 2.6.34."
-                       ewarn
-                       ewarn "If you need it, please use kernel >= 2.6.34."
-                       ewarn
-               fi
-       fi
-
-       if use non-root; then
-               enewgroup ${UGID}
-               enewuser ${UGID} -1 -1 -1 ${UGID}
-       fi
-}
-
-src_configure() {
-       local myconf=""
-
-       if use non-root; then
-               myconf="${myconf} --with-user=${UGID} --with-group=${UGID}"
-       fi
-
-       # If a user has already enabled db support, those plugins will
-       # most likely be desired as well. Besides they don't impose new
-       # dependencies and come at no cost (except for space).
-       if use mysql || use sqlite; then
-               myconf="${myconf} --enable-attr-sql --enable-sql"
-       fi
-
-       # strongSwan builds and installs static libs by default which are
-       # useless to the user (and to strongSwan for that matter) because no
-       # header files or alike get installed... so disabling them is safe.
-       econf \
-               --disable-static \
-               $(use_with caps capabilities libcap) \
-               $(use_enable curl) \
-               $(use_enable ldap) \
-               $(use_enable smartcard) \
-               $(use_enable cisco cisco-quirks) \
-               $(use_enable debug leak-detective) \
-               $(use_enable eap eap-sim) \
-               $(use_enable eap eap-sim-file) \
-               $(use_enable eap eap-simaka-sql) \
-               $(use_enable eap eap-simaka-pseudonym) \
-               $(use_enable eap eap-simaka-reauth) \
-               $(use_enable eap eap-identity) \
-               $(use_enable eap eap-md5) \
-               $(use_enable eap eap-gtc) \
-               $(use_enable eap eap-aka) \
-               $(use_enable eap eap-aka-3gpp2) \
-               $(use_enable eap eap-mschapv2) \
-               $(use_enable eap eap-radius) \
-               $(use_enable nat-transport) \
-               $(use_enable openssl) \
-               $(use_enable gcrypt) \
-               $(use_enable mysql) \
-               $(use_enable sqlite) \
-               $(use_enable ikev1 pluto) \
-               $(use_enable ikev2 charon) \
-               $(use_enable dhcp) \
-               $(use_enable farp) \
-               ${myconf}
-}
-
-src_install() {
-       einstall || die "einstall failed"
-
-       doinitd "${FILESDIR}"/ipsec
-
-       local dir_ugid
-       if use non-root; then
-               fowners ${UGID}:${UGID} \
-                       /etc/ipsec.conf \
-                       /etc/ipsec.secrets \
-                       /etc/strongswan.conf
-
-               dir_ugid="${UGID}"
-       else
-               dir_ugid="root"
-       fi
-
-       diropts -m 0750 -o ${dir_ugid} -g ${dir_ugid}
-       dodir /etc/ipsec.d \
-               /etc/ipsec.d/aacerts \
-               /etc/ipsec.d/acerts \
-               /etc/ipsec.d/cacerts \
-               /etc/ipsec.d/certs \
-               /etc/ipsec.d/crls \
-               /etc/ipsec.d/ocspcerts \
-               /etc/ipsec.d/private \
-               /etc/ipsec.d/reqs
-
-       dodoc CREDITS NEWS README TODO || die
-
-       # shared libs are used only internally and there are no static libs,
-       # so it's safe to get rid of the .la files
-       find "${D}" -name '*.la' -delete || die "Failed to remove .la files."
-}
-
-pkg_preinst() {
-       has_version "<net-misc/strongswan-4.3.6-r1"
-       upgrade_from_leq_4_3_6=$(( !$? ))
-
-       has_version "<net-misc/strongswan-4.3.6-r1[-caps]"
-       previous_4_3_6_with_caps=$(( !$? ))
-}
-
-pkg_postinst() {
-       if ! use openssl && ! use gcrypt; then
-               elog
-               elog "${PN} has been compiled without both OpenSSL and libgcrypt support."
-               elog "Please note that this might effect availability and speed of some"
-               elog "cryptographic features. You are advised to enable the OpenSSL plugin."
-       elif ! use openssl; then
-               elog
-               elog "${PN} has been compiled without the OpenSSL plugin. This might effect"
-               elog "availability and speed of some cryptographic features. There will be"
-               elog "no support for Elliptic Curve Cryptography (Diffie-Hellman groups 19-21,"
-               elog "25, 26) and ECDSA."
-       fi
-
-       if [[ $upgrade_from_leq_4_3_6 == 1 ]]; then
-               chmod 0750 "${ROOT}"/etc/ipsec.d \
-                       "${ROOT}"/etc/ipsec.d/aacerts \
-                       "${ROOT}"/etc/ipsec.d/acerts \
-                       "${ROOT}"/etc/ipsec.d/cacerts \
-                       "${ROOT}"/etc/ipsec.d/certs \
-                       "${ROOT}"/etc/ipsec.d/crls \
-                       "${ROOT}"/etc/ipsec.d/ocspcerts \
-                       "${ROOT}"/etc/ipsec.d/private \
-                       "${ROOT}"/etc/ipsec.d/reqs
-
-               ewarn
-               ewarn "The default permissions for /etc/ipsec.d/* have been tightened for"
-               ewarn "security reasons. Your system installed directories have been"
-               ewarn "updated accordingly. Please check if necessary."
-               ewarn
-
-               if [[ $previous_4_3_6_with_caps == 1 ]]; then
-                       if ! use non-root; then
-                               ewarn
-                               ewarn "IMPORTANT: You previously had ${PN} installed without root"
-                               ewarn "privileges because it was implied by the 'caps' USE flag."
-                               ewarn "This has been changed. If you want ${PN} with user privileges,"
-                               ewarn "you have to re-emerge it with the 'non-root' USE flag enabled."
-                               ewarn
-                       fi
-               fi
-       fi
-       if ! use caps && ! use non-root; then
-               ewarn
-               ewarn "You have decided to run ${PN} with root privileges and built it"
-               ewarn "without support for POSIX capability dropping. It is generally"
-               ewarn "strongly suggested that you reconsider- especially if you intend"
-               ewarn "to run ${PN} as server with a public ip address."
-               ewarn
-               ewarn "You should re-emerge ${PN} with at least the 'caps' USE flag enabled."
-               ewarn
-       fi
-       if use non-root; then
-               elog
-               elog "${PN} has been installed without superuser privileges (USE=non-root)."
-               elog "This imposes several limitations mainly to the IKEv1 daemon 'pluto'"
-               elog "but also a few to the IKEv2 daemon 'charon'."
-               elog
-               elog "Please carefully read: http://wiki.strongswan.org/wiki/nonRoot"
-               elog
-               elog "pluto uses a helper script by default to insert/remove routing and"
-               elog "policy rules upon connection start/stop which requires superuser"
-               elog "privileges. charon in contrast does this internally and can do so"
-               elog "even with reduced (user) privileges."
-               elog
-               elog "Thus if you require IKEv1 (pluto) or need to specify a custom updown"
-               elog "script to pluto or charon which requires superuser privileges, you"
-               elog "can work around this limitation by using sudo to grant the"
-               elog "user \"ipsec\" the appropriate rights."
-               elog "For example (the default case):"
-               elog "/etc/sudoers:"
-               elog "  Defaults:ipsec always_set_home,!env_reset"
-               elog "  ipsec ALL=(ALL) NOPASSWD: /usr/sbin/ipsec"
-               elog "Under the specific connection block in /etc/ipsec.conf:"
-               elog "  leftupdown=\"sudo ipsec _updown\""
-               elog
-       fi
-       elog
-       elog "Make sure you have _all_ required kernel modules available including"
-       elog "the appropriate cryptographic algorithms. A list is available at:"
-       elog "  http://wiki.strongswan.org/projects/strongswan/wiki/KernelModules"
-       elog
-       elog "The up-to-date manual is available online at:"
-       elog "  http://wiki.strongswan.org/"
-       elog
-}
similarity index 99%
rename from net-misc/strongswan/strongswan-4.5.1.ebuild
rename to net-misc/strongswan/strongswan-4.5.3.ebuild
index 726bf50d29be9173c16ac4716486b365443245f6..43ceeb32be62ddbd16983cecaeb39a19be6f5eb8 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/strongswan-4.5.1.ebuild,v 1.1 2011/02/12 16:08:59 gurligebis Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/strongswan/strongswan-4.5.3.ebuild,v 1.1 2011/08/03 09:55:40 gurligebis Exp $
 
 EAPI=2
 inherit eutils linux-info